Bug 1123736 - Clarify supportability of example online Service Repository
Summary: Clarify supportability of example online Service Repository
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: Documentation
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR2
: One-off release
Assignee: brms-docs@redhat.com
QA Contact: Sona Mala
Dawn Eisner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 07:10 UTC by Anton Giertli
Modified: 2018-12-06 17:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Anton Giertli 2014-07-28 07:10:39 UTC
Description of problem:

Usually the common rule is that what is documented is supported. The usage of Service Repository is documented here
https://access.redhat.com/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.0/html/User_Guide/sect-Service_repository.html

While the mechanism of such repository is fully supported, the Work Items which are present in the example online repository
http://docs.jboss.org/jbpm/v6.0/repository/
are not. QA department hasn't tested these and user should be aware of this.

Only workitems which are displayed in the Designer by default are fully tested(=supported), these are: Log,Email,Rest,WS.

Until QA will incorporate these workitems in their test suite we should clearly state that these workitems are not supported. Obviously, if user will hit some issue we still want to make sure it's documented, so jira or even a ticket with GSS is alright.

Comment 4 Vikram Goyal 2014-11-25 02:40:12 UTC
Thanks Anton.

I have added a note about the supported WID's in the Service Repository Chapter. This can be verified here [1].

Moving this ton ON_QA. Marking it for an async release later this month if it gets verified in time.

[1] https://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_JBoss_BPM_Suite/6.0/html-single/User_Guide/index.html#sect-Service_repository


Note You need to log in before you can comment on or make changes to this bug.